--- title: "getRaidList" slug: "compute-vserver-server-common-getraidlist" updated: 2026-09-17T10:06:00Z published: 2026-09-17T10:06:00Z canonical: "api.ncloud-docs.com/compute-vserver-server-common-getraidlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getRaidList Available in VPC Get the list of available RAIDs. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vserver/v2/getRaidList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Server APIs, see [Server request headers](/docs/en/compute-vserver#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region in the query results (default). | | `productTypeCode` | String | Required | Product type code - Get the list of available RAIDs by product type. - See [getServerImageProductList](/docs/en/compute-vserver-server-common-getserverimageproductlist). - `LINUX` \| `WINNT` | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vserver/v2/getRaidList ?regionCode=KR &productTypeCode=LINUX &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `getRaidListResponse` | Object | - | Response result - See [RaidList](/docs/en/common-vapidatatype-raidlist). | | `getRaidListResponse.requestId` | String | - | ID for the request - UUID format | | `getRaidListResponse.returnCode` | String | - | Response code | | `getRaidListResponse.returnMessage` | String | - | Response message | ### Response status codes For information about the HTTP status codes common to all Server APIs, see [Server response status codes](/docs/en/compute-vserver#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "getRaidListResponse": { "totalRows": 2, "raidList": [ { "raidTypeName": "1", "raidName": "RAID 1+0", "productType": { "code": "LINUX", "codeName": "Linux" } }, { "raidTypeName": "5", "raidName": "RAID 5", "productType": { "code": "LINUX", "codeName": "Linux" } } ], "requestId": "27f4a0bc-****-****-****-8a6eb047a431", "returnCode": "0", "returnMessage": "success" } } ```